Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007119OCaml~DO NOT USE (was: OCaml general)public2016-01-07 20:182017-09-24 17:31
Reporterdrup 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0007119: ocaml doesn't respect [@@@warning]
DescriptionThis is reproducible both in 4.02.3 and trunk.

In this piece of code:

    [@@@warning "-3"]
    let x = String.set "a" 0 'a'

"ocamlc foo.ml" reports no warning.
"ocaml foo.ml" reports a warning.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015243)
frisch (developer)
2016-01-08 09:24

Thanks for the report. Fixed by commit b626516a327688487054913d9d61cef3473c29b9 on trunk.

- Issue History
Date Modified Username Field Change
2016-01-07 20:18 drup New Issue
2016-01-08 09:24 frisch Note Added: 0015243
2016-01-08 09:24 frisch Status new => resolved
2016-01-08 09:24 frisch Fixed in Version => 4.03.1+dev
2016-01-08 09:24 frisch Resolution open => fixed
2016-01-08 09:24 frisch Assigned To => frisch
2016-01-08 09:24 frisch Fixed in Version 4.03.1+dev => 4.03.0+dev / +beta1
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)
2017-09-24 17:31 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker